<script setup lang="ts">
    import { isDefined } from '@/shared/helpers/types'
    interface Props {
        link?: string
    }

    defineProps<Props>()
</script>

<template>
    <a
        v-if="$vuetify.display.mdAndUp && isDefined(link)"
        target="_blank"
        :href="link"
        style="font-size: 0.8em !important"
    >
        <slot></slot>
        <v-icon size="x-small">mdi-open-in-new</v-icon>
    </a>
</template>
